Home Articles

无法在java 1.8下启动eclipse

Asked
Viewed 197 times
2

在Java 1.8升级后我无法启动eclipse . 附加了错误屏幕截图 . 这是我的eclipse配置设置 . 我该如何解决?

-startup
plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
--launcher.library
plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.200.v20120522-1813
-product
org.eclipse.epp.package.jee.product
--launcher.defaultAction
openFile
--launcher.XXMaxPermSize
512M
-showsplash
org.eclipse.platform
--launcher.XXMaxPermSize
512m
--launcher.defaultAction
openFile
-vmargs
-Dosgi.requiredJavaVersion=1.7
-Dhelp.lucene.tokenizer=standard
-Xms256m
-Xmx2048m
-Xverify:none

enter image description here

2 Answers

  • 1

    -vm C:\ Path \ to \ jre \ bin \ javaw.exe

    这对我有用

  • -1

    以下是用1.8运行eclipse你相应地将版本更改为1.7

    • sudo add-apt-repository ppa:openjdk -r / ppa

    • sudo apt-get update

    • sudo apt-get install openjdk-8-jdk

    • 运行$ sudo update-alternatives --config java

    并输入您选择使用的JDK的编号 . 选择选项“0”或您需要的选项 .

    enter image description here

    • 检查java版本“java -version

    现在您应该能够运行Eclipse

Related